org.eclipse.net4j.util.io

## Class ExtendedIOUtil.ClassLoaderClassResolver

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedIOUtil.ClassLoaderClassResolver

- All Implemented Interfaces:
    ExtendedIOUtil.ClassResolver
  Enclosing class:
    ExtendedIOUtil

      public static class ExtendedIOUtil.ClassLoaderClassResolver
      extends Object
      implements ExtendedIOUtil.ClassResolver

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLoaderClassResolver(ClassLoader classLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `resolveClass(ObjectStreamClass v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoaderClassResolver

          public ClassLoaderClassResolver(ClassLoader classLoader)

  - ### Method Detail

    - #### resolveClass

          public Class<?> resolveClass(ObjectStreamClass v)
                                throws ClassNotFoundException

      Specified by:
        `resolveClass` in interface `ExtendedIOUtil.ClassResolver`
      Throws:
        `ClassNotFoundException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html